/* Sends a message to Telegraf/2. Syntax similar to NET SEND. */
PARSE ARG TO MSG
IF TO="" THEN DO; SAY "Enter machine name:"; PULL TO; END
IF MSG="" THEN DO; SAY "Enter message:"; PARSE PULL MSG; END
PIPE="\\"TO"\PIPE\TELEGRAF"
RC=NMPIPE_OPEN(PIPE)
SELECT
	WHEN RC=0 THEN DO
		CALL NMPIPE_WRITE PIPE,"SEND.CMD "TO MSG
		CALL NMPIPE_CLOSE PIPE
		SAY "Message successfully sent to "TO"."
	END
	WHEN (RC=2)|(RC=3) THEN SAY "Cannot find pipe "PIPE" - is computer unavailable or not running TG2?"
	WHEN RC=53 THEN SAY "Server "TO" not found."
	WHEN RC=231 THEN SAY "Pipe "PIPE" in use already."
OTHERWISE SAY SYSGETMESSAGE(RC)
END
